/***************************************************************************
*  Media Downloader. Search and download as many images or videos that     *
*    fit your search criteria                                              *
*  Copyright (C) 2009-2011  Marco Bavagnoli - lil.deimos@gmail.com         *
*                                                                          *
*  This program is free software: you can redistribute it and/or modify    *
*  it under the terms of the GNU General Public License as published by    *
*  the Free Software Foundation, either version 3 of the License, or       *
*  (at your option) any later version.                                     *
*                                                                          *
*  This program is distributed in the hope that it will be useful,         *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
*  GNU General Public License for more details.                            *
*                                                                          *
*  You should have received a copy of the GNU General Public License       *
*  along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
***************************************************************************/

#ifndef DEFINES_H
#define DEFINES_H

//#include <QObject>
// If we are on linux, the bug is present so disable videos embedded into QGraphicsView
// ref: http://bugreports.qt.nokia.com/browse/QTBUG-8737
//#ifdef Q_WS_X11
//#define BUG_8737
//#endif

#define VERSION_NUMBER "1.5.0"
#define VERSION_REVISION ""
#define CHECK_UPDATE_URL "http://mediadownloader.cz.cc/update.php"
//#define CHECK_UPDATE_URL "http://192.168.1.11/mediadownloader/update.php"

enum imageContainerKind {
    CONTAINER_KIND_IMAGE = 0x0001,
    CONTAINER_KIND_VIDEO = 0x0002,
    CONTAINER_KIND_VIDEO_LOCAL = CONTAINER_KIND_VIDEO | 0x0010,
    CONTAINER_KIND_IMAGE_LOCAL = CONTAINER_KIND_IMAGE | 0x0020,
    CONTAINER_KIND_VIDEO_OTHER = CONTAINER_KIND_VIDEO | 0x0030
};

#define QUOTEME_(x) #x
#define QUOTEME(x) QUOTEME_(x)

#endif // DEFINES_H

